> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a project by ID



## OpenAPI

````yaml patch /jobs/{id}
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /jobs/{id}:
    patch:
      tags:
        - Jobs
      summary: Update a project by ID
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: number
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                  example: My Project
                description:
                  type: string
                  example: My Description
                status:
                  type: string
                  example: new
                start_date:
                  type: string
                  format: date
                due_on:
                  type: string
                  format: date
                submission_deadline:
                  type: string
                  format: date-time
                budget:
                  type: string
                  example: '500000.00'
                fee:
                  type: string
                  example: '15.00'
                markup:
                  type: string
                  example: '4.75'
                ccy:
                  type: string
                  example: GBP
                original_budget:
                  type: string
                  example: '500000.00'
                rate:
                  type: string
                  example: '500000.00'
                original_rate:
                  type: string
                  example: '500000.00'
                award_type:
                  type: string
                  example: competition
                visibility:
                  type: string
                  example: public
                external_id:
                  type: string
                  example: ABC-101202
                custom_fields:
                  type: object
                  properties:
                    key:
                      type: string
                      example: value
                milestones_attributes:
                  type: array
                  items:
                    properties:
                      id:
                        type: integer
                        example: '23'
                      title:
                        type: string
                        example: Title of Milestone
                      details:
                        type: string
                        example: Details of Milestone
                      rate:
                        type: string
                        example: '1500.00'
                      ccy:
                        type: string
                        example: GBP
                job_line_items_attributes:
                  type: array
                  items:
                    properties:
                      id:
                        type: integer
                        example: '254'
                      item_id:
                        type: integer
                        example: '2'
                      item_type:
                        type: string
                        example: item
                      name:
                        type: string
                        example: Server
                      manufacturer_name:
                        type: string
                        example: Dell
                      manufacturer_part_number:
                        type: string
                        example: X15
                      quantity:
                        type: string
                        example: '7.0'
                      uom_id:
                        type: integer
                        format: '1'
                administrator_id:
                  type: integer
                  example: '7158'
                client_id:
                  type: integer
                  example: '7158'
                client_org_id:
                  type: integer
                  example: '7158'
                supplier_id:
                  type: integer
                  example: '77'
                cost_centers:
                  type: array
                  items:
                    properties:
                      cost_center_id:
                        type: integer
                        example: '303'
                      job_id:
                        type: integer
                        example: '2606'
                      allocation:
                        type: string
                        example: '100.0'
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    example: '2606'
                  title:
                    type: string
                    example: My Project
                  description:
                    type: string
                    example: My Description
                  status:
                    type: string
                    example: new
                  start_date:
                    type: string
                    format: date
                  due_on:
                    type: string
                    format: date
                  submission_deadline:
                    type: string
                    format: date-time
                  budget:
                    type: string
                    example: '500000.00'
                  fee:
                    type: string
                    example: '15.00'
                  markup:
                    type: string
                    example: '4.75'
                  ccy:
                    type: string
                    example: GBP
                  original_budget:
                    type: string
                    example: '500000.00'
                  rate:
                    type: string
                    example: '500000.00'
                  original_rate:
                    type: string
                    example: '500000.00'
                  award_type:
                    type: string
                    example: competition
                  visibility:
                    type: string
                    example: public
                  external_id:
                    type: string
                    example: ABC-101202
                  is_child:
                    type: string
                    example: 'false'
                  is_parent:
                    type: string
                    example: 'false'
                  created_at:
                    type: string
                    format: date-time
                  updated_at:
                    type: string
                    format: date-time
                  custom_fields:
                    type: object
                    properties:
                      key:
                        type: string
                        example: value
                  payment_terms_in_days:
                    type: integer
                    example: '30'
                  badges:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '1'
                        name:
                          type: string
                          example: Badge 1
                  milestones:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        client_suggested:
                          type: boolean
                          example: 'true'
                        title:
                          type: string
                          example: Title of Milestone
                        details:
                          type: string
                          example: Details of Milestone
                        rate:
                          type: string
                          example: '1500.00'
                        ccy:
                          type: string
                          example: GBP
                        due_on:
                          type: string
                          format: date-time
                        notes:
                          type: string
                          example: some notes relating to the milestone
                        comments:
                          type: string
                          example: some comments relating to the milestone
                        job_id:
                          type: integer
                          example: '2669'
                        job_summary:
                          type: string
                          example: summary of miestone
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        status:
                          type: string
                          example: open
                        approved_at:
                          type: string
                          format: date-time
                        approved_by:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '7158'
                            first_name:
                              type: string
                              example: Jack
                            last_name:
                              type: string
                              example: Jones
                            email:
                              type: string
                              example: jack_jones@example.com
                            business_unit:
                              type: string
                              example: Public Private Partnerships
                            division:
                              type: string
                              example: Infastructure
                            department:
                              type: string
                              example: Housing
                            org_name:
                              type: string
                              example: Organisation Ltd
                            org_id:
                              type: integer
                              example: '567'
                            vetting_status:
                              type: string
                              example: PASSED
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
                            custom_fields:
                              type: object
                              properties:
                                key:
                                  type: string
                                  example: value
                            has_oversight:
                              type: string
                              example: 'true'
                        children:
                          type: array
                          items:
                            type: integer
                            example: '124'
                        parents:
                          type: array
                          items:
                            type: integer
                            example: '14'
                        custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: value
                  job_line_items:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        job_id:
                          type: integer
                          example: '6'
                        item_type:
                          type: string
                          example: item
                        name:
                          type: string
                          example: Server
                        manufacturer_name:
                          type: string
                          example: Dell
                        manufacturer_part_number:
                          type: string
                          example: X15
                        quantity:
                          type: string
                          example: '10.0'
                        quantity_delivered:
                          type: string
                          example: '0.0'
                        quantity_undelivered:
                          type: string
                          example: '10.0'
                        price:
                          type: string
                          example: '500.00'
                        price_ccy:
                          type: string
                          example: GBP
                        uom:
                          type: string
                          format: Each
                        net_total_price:
                          type: string
                          example: '5000.00'
                        net_total_price_ccy:
                          type: string
                          example: GBP
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: value
                  administrator:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '7158'
                      first_name:
                        type: string
                        example: Jack
                      last_name:
                        type: string
                        example: Jones
                      email:
                        type: string
                        example: jack_jones@example.com
                      org_name:
                        type: string
                        example: Organisation Ltd
                      org_id:
                        type: integer
                        example: '567'
                      business_unit:
                        type: string
                        example: Public Private Partnerships
                      division:
                        type: string
                        example: Infastructure
                      department:
                        type: string
                        example: Infastructure
                      vetting_status:
                        type: string
                        example: PASSED
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                      has_oversight:
                        type: string
                        example: 'true'
                  client:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '7158'
                      first_name:
                        type: string
                        example: Jack
                      last_name:
                        type: string
                        example: Jones
                      email:
                        type: string
                        example: jack_jones@example.com
                      org_name:
                        type: string
                        example: Organisation Ltd
                      org_id:
                        type: integer
                        example: '567'
                      business_unit:
                        type: string
                        example: Public Private Partnerships
                      division:
                        type: string
                        example: Infastructure
                      department:
                        type: string
                        example: Infastructure
                      vetting_status:
                        type: string
                        example: PASSED
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                      custom_fields:
                        type: object
                        properties:
                          key:
                            type: string
                            example: value
                      has_oversight:
                        type: string
                        example: 'true'
                  client_org:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '7158'
                      name:
                        type: string
                        example: Company Ltd
                      is_external_client:
                        type: string
                        example: 'true'
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                  supplier:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: '77'
                      name:
                        type: string
                        example: Company Inc
                      email:
                        type: string
                        example: jack_jones@companyinc.com
                      vetting_status:
                        type: string
                        example: PASSED
                      tax_number:
                        type: string
                        example: '9876543234'
                      created_at:
                        type: string
                        format: date-time
                      updated_at:
                        type: string
                        format: date-time
                  cost_centers:
                    type: array
                    items:
                      properties:
                        cost_center_id:
                          type: integer
                          example: '303'
                        job_id:
                          type: integer
                          example: '2606'
                        allocation_percentage:
                          type: string
                          example: '100.0'
                        name:
                          type: string
                          example: Cost Centre Name
                        code:
                          type: string
                          example: Cost Centre Code
                        admin_custom_fields:
                          type: object
                          properties:
                            key:
                              type: string
                              example: Field Name
                            value:
                              type: string
                              example: Field Value
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                  job_screening_questions:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '66'
                        key:
                          type: string
                          example: Screening Question
                        control_type:
                          type: string
                          example: string
                        values:
                          type: string
                          example: >-
                            less than 10 employees, less than 50 employees, more
                            than 50 employees
                        value_conversion_type:
                          type: string
                          example: to_s
                        mandatory:
                          type: boolean
                          example: 'true'
                        hint:
                          type: string
                          example: please select number of team members.
                        order:
                          type: integer
                          example: '0'
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````